"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var source_ref_core_vue_1 = require("source-ref-core-vue");
function sourceRef(options) {
    return {
        name: 'source-ref-vue',
        transform: function (code, id) {
            var _a;
            var filepath = id;
            if (filepath.endsWith('.vue')) {
                var output = (0, source_ref_core_vue_1.injectTraceIdVue)(code, {
                    filepath: filepath,
                    opener: (_a = options === null || options === void 0 ? void 0 : options.opener) !== null && _a !== void 0 ? _a : { type: 'vscode' },
                });
                return output;
            }
            return { code: code };
        },
    };
}
exports.default = sourceRef;
